Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class IDLTypeHelper

    java.lang.Object
      org.omg.CORBA.IDLTypeHelper

    public abstract class IDLTypeHelper

extends Object

The Helper for `IDLType`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/IDLTypeHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ir.idl 03 June 1999 11:33:44 o'clock GMT+00:00

Constructor Summary
`IDLTypeHelper()`

Method Summary
`static IDLType` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, IDLType that)`
`static IDLType` | `narrow(Object obj)`
`static IDLType` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, IDLType value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDLTypeHelper

    public IDLTypeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IDLType that)

### extract

    public static IDLType extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static IDLType read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             IDLType value)

### narrow

    public static IDLType narrow(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.